Skip to main content
GET
/
config
/
attributeDefinitions
/
{attributeId}
Returns an attribute definition
curl --request GET \
  --url https://api.inorbit.ai/config/attributeDefinitions/{attributeId} \
  --header 'x-auth-inorbit-app-key: <api-key>'
{
  "id": "<string>",
  "label": "<string>",
  "mapping": {
    "source": "<string>",
    "key": "<string>",
    "topic": "<string>",
    "namespace": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://inorbitinc.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-auth-inorbit-app-key
string
header
required

InOrbit appKey authenticates API requests using a token.

You can obtain your appKey in the Authentication docs.

Path Parameters

attributeId
string
required

The attribute id

Response

The attribute definition

id
string
required

Attribute id

label
string
required

User-defined label

mapping
object

Defines the mapping from a robot data source